Loading...
Searching...
No Matches
ecs.h File Reference
`#include "arc/std/vector.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Typedefs

typedef struct ARC_ECS | ARC_ECS
| a type that keeps permanice of data for when loading and unloading config files
typedef uint64_t | ARC_ECSEntity
| entity type for ARC_ECS

## Functions

void | ARC_ECS_Create (ARC_ECS **ecs)
| creates ARC_Config type
void | ARC_ECS_Destroy (ARC_ECS *ecs)
| destroys ARC_ECS type

## Typedef Documentation

## ARC_ECS

typedef struct ARC_ECS ARC_ECS

a type that keeps permanice of data for when loading and unloading config files

Definition at line 14 of file ecs.h.

## ARC_ECSEntity

typedef uint64_t ARC_ECSEntity

entity type for ARC_ECS

Definition at line 19 of file ecs.h.

## Function Documentation

## ARC_ECS_Create()

void ARC_ECS_Create | ( | ARC_ECS ** | ecs | ) |

creates ARC_Config type

Parameters

  ecs | ARC_ECS

## ARC_ECS_Destroy()

void ARC_ECS_Destroy | ( | ARC_ECS * | ecs | ) |

destroys ARC_ECS type